/// <reference types="webpack" />
import * as Config from 'webpack-chain';
import DefaultOptions, { AppOptionPlugin } from './options/default';
import Scripts from './scripts';
export declare type Command = 'start' | 'build';
export interface IArgs {
    spa?: boolean;
    mode?: string;
    open?: boolean;
    analyze?: boolean;
    plugin?: boolean;
}
export default class Service {
    projectOptions: DefaultOptions;
    webpackChainFns: AppOptionPlugin<Config>[];
    webpackRawConfigFns: AppOptionPlugin[];
    webpackConfig: any;
    script: Scripts;
    constructor();
    resolveChainableWebpackConfig(isServer: boolean, args: IArgs): Config;
    resolveWebpackConfig: (webpackConfig: any, isServer: boolean, args: IArgs) => import("webpack").Configuration;
    run: (command: Command, args: IArgs) => void;
    create: (projectName: string, args: IArgs) => void;
    getUserOptions: () => any;
}
//# sourceMappingURL=Service.d.ts.map