"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
const index_1 = require("./index");
const appDirectory = fs.realpathSync(process.cwd());
const resolveApp = (relativePath) => path.resolve(appDirectory, relativePath);
exports.default = {
    dotenv: resolveApp('.env'),
    appPath: resolveApp('.'),
    appSrc: resolveApp('src'),
    yarnLockFile: resolveApp('yarn.lock'),
    appPackageJson: resolveApp('package.json'),
    appClientIndexJs: resolveApp('src/app/index.tsx'),
    appServerIndexJs: resolveApp('src/server.ts'),
    appPublic: resolveApp('public'),
    appHtml: resolveApp('public/index.html'),
    appNodeModules: resolveApp('node_modules'),
    appStyles: resolveApp('src/app/styles'),
    appBuild: index_1.default.build,
    appBuildPublic: resolveApp(`${index_1.default.build}`),
    appBuildSrc: resolveApp(index_1.default.build),
    appTsconfig: resolveApp('tsconfig.json'),
    assetManifest: resolveApp(`${index_1.default.build}/asset-manifest.json`),
    assetLoadable: resolveApp(`${index_1.default.build}/react-loadable.json`),
    appConfig: resolveApp('config.js'),
};
//# sourceMappingURL=paths.js.map