import TsconfigPathsPlugin from 'tsconfig-paths-webpack-plugin';
import * as webpack from 'webpack';
import Service, { IArgs } from '../../Service';
declare const _default: (isServer: boolean, service: Service, args: IArgs) => {
    mode: any;
    devtool: string;
    context: string;
    cache: boolean;
    output: {
        publicPath: string;
        hotUpdateChunkFilename: string;
        hotUpdateMainFilename: string;
    };
    optimization: {
        splitChunks: {
            cacheGroups: {
                commons: {
                    test: RegExp;
                    name: string;
                    chunks: string;
                };
            };
        };
    } | {
        splitChunks?: undefined;
    };
    resolveLoader: {
        modules: string[];
    };
    resolve: {
        extensions: string[];
        alias: {
            'webpack-hot-middleware/client': string;
        };
        modules: string[];
        plugins: TsconfigPathsPlugin[];
    };
    module: {
        rules: {
            oneOf: ({
                test: RegExp;
                exclude: RegExp;
                use: ({
                    loader: string;
                    options: {
                        cacheDirectory: string;
                        babelrc?: undefined;
                        configFile?: undefined;
                        presets?: undefined;
                        plugins?: undefined;
                    };
                } | {
                    loader: string;
                    options: {
                        babelrc: boolean;
                        configFile: boolean;
                        cacheDirectory: boolean;
                        presets: (string | (string | {
                            isTSX: boolean;
                            allExtensions: boolean;
                        })[])[];
                        plugins: (string | (string | {
                            legacy: boolean;
                        })[] | (string | {
                            loose: boolean;
                        })[])[];
                    };
                })[];
            } | {
                test: RegExp;
                use: (false | {
                    loader: webpack.Loader;
                    options?: undefined;
                } | {
                    loader: string;
                    options: {
                        importLoaders: number;
                        modules: boolean;
                        localIdentName: string;
                        ident?: undefined;
                        plugins?: undefined;
                    };
                } | {
                    loader: string;
                    options: {
                        ident: string;
                        plugins: () => any[];
                        importLoaders?: undefined;
                        modules?: undefined;
                        localIdentName?: undefined;
                    };
                })[];
            } | {
                test: RegExp[];
                loader: string;
                options: {
                    limit: number;
                    name: string;
                };
                exclude?: undefined;
            } | {
                exclude: RegExp[];
                loader: string;
                options: {
                    name: string;
                    limit?: undefined;
                };
                test?: undefined;
            })[];
        }[];
    };
    plugins: any[];
};
export default _default;
//# sourceMappingURL=base.d.ts.map