import * as httpProxyMiddleware from 'http-proxy-middleware';
import * as Config from 'webpack-chain';
import { IArgs } from '../../Service';
export interface IPluginOptions {
    isServer: boolean;
    args: IArgs;
}
export interface IProxyOptions {
    [key: string]: httpProxyMiddleware.Config;
}
export declare type AppOptionPlugin<T = any> = (options: IPluginOptions, webpackConfig: T) => T | T;
export default class Options {
    ssr: boolean;
    host: string;
    hardSource: boolean;
    analyze: boolean;
    port: string;
    devPort: string;
    autoDll: {
        vendor: string[];
        polyfills: never[];
    };
    proxy?: IProxyOptions;
    clientIndexJs: string;
    serverIndexJs: string;
    chainWebpack?: AppOptionPlugin<Config>;
    plugins?: AppOptionPlugin[];
    configureWebpack?: AppOptionPlugin;
}
//# sourceMappingURL=index.d.ts.map