"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("lodash");
const default_1 = require("./default");
// tslint:disable-next-line:variable-name
exports.getOptions = (_options, args) => {
    const projectOptions = Object.assign({}, _options);
    if (!projectOptions.port && process.env.PORT) {
        projectOptions.port = process.env.PORT;
    }
    if (!projectOptions.host && process.env.HOST) {
        projectOptions.host = process.env.HOST;
    }
    if (!projectOptions.ssr && process.env.SSR) {
        projectOptions.ssr = Boolean(process.env.SSR);
    }
    if (args.spa) {
        projectOptions.ssr = !args.spa;
    }
    if (args.analyze) {
        projectOptions.analyze = args.analyze;
    }
    const options = _.defaultsDeep(projectOptions, new default_1.default());
    if (!projectOptions.ssr) {
        options.devPort = options.port;
    }
    return options;
};
//# sourceMappingURL=index.js.map