"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = require("chalk");
const webpack = require("webpack");
const client_1 = require("../config/webpack/client");
const server_1 = require("../config/webpack/server");
const DevServer = require('webpack-dev-server');
exports.default = (service, args) => __awaiter(this, void 0, void 0, function* () {
    const { projectOptions } = service;
    const clientConfig = client_1.default(service, args);
    const serverConfig = server_1.default(service, args);
    const clientCompiler = webpack(clientConfig);
    const serverCompiler = webpack(serverConfig);
    if (projectOptions.ssr) {
        serverCompiler.watch({}, () => { });
    }
    const clientDevServer = new DevServer(clientCompiler, clientConfig.devServer);
    clientDevServer.listen(projectOptions.devPort, (err) => {
        if (err) {
            console.error(chalk_1.default.red(err));
        }
    });
});
//# sourceMappingURL=start.js.map